Bug 174877 - Boot sequence hangs on kernel 2.6.14 + xfs + selinux
Boot sequence hangs on kernel 2.6.14 + xfs + selinux
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-03 00:27 EST by erik.rissanen
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-04 17:13:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (5.99 KB, text/plain)
2005-12-04 13:03 EST, erik.rissanen
no flags Details
/var/log/audit/audit.log (24.15 KB, text/plain)
2005-12-04 13:04 EST, erik.rissanen
no flags Details

  None (edit)
Description erik.rissanen 2005-12-03 00:27:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Kernels 2.6.14-1.1637_FC4 and 2.6.14-1.1644_FC4 cause the boot sequence hang for me. I have a single xfs partition that contains everything. Booting with selinux=0 does not hang. Earlier kernels also work.

The end of the boot sequence looks like this (copied by hand):

Determining IP information for eth0...cp: accessing '/etc/resolv.conf.predhclient' : permission denied
/sbin/dhclient-script: line 57: /tmp/YG2196: permission denied
/sbin/dhclient-script: line 66: /tmp/YG2196: permission denied
cat /tmp/YG2196: Permission denied
rm: cannot remove `/tmp/YG2196': Permission denied
  done.
                          [OK]
Starting system logger: _

The last '_' is the flashing prompt. After this nothing happens.



Version-Release number of selected component (if applicable):
kernel-smp-2.6.14-1.1637_FC4 kernel-smp-2.6.14-1.1644_FC4 selinux-policy-targeted-1.27.1-2.14

How reproducible:
Always

Steps to Reproduce:
1. Boot with a 2.6.14 kernel with selinux enabled
  

Actual Results:  The system boot does not finish.

Expected Results:  System should boot up.

Additional info:
Comment 1 Daniel Walsh 2005-12-04 08:19:01 EST
Boot with enforcing=0 and see if you can collect the AVC messages from
/var/log/message and /var/log/audit/audit.log
Comment 2 erik.rissanen 2005-12-04 13:03:39 EST
Created attachment 121818 [details]
/var/log/messages

/var/log/messages when run with "enforcing=0"
Comment 3 erik.rissanen 2005-12-04 13:04:27 EST
Created attachment 121819 [details]
/var/log/audit/audit.log

/var/log/audit/audit.log when run with "enforcing=0"
Comment 4 erik.rissanen 2005-12-04 13:05:13 EST
I wasn't sure how much to trim the audit.log. Let me know if you want more entries.
Comment 5 Daniel Walsh 2006-01-02 12:36:06 EST
I believe the problem here is with the kernel/XFS support.  In other bug reports
xfs xattr support is broken.
Comment 6 Dave Jones 2006-02-03 02:04:53 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 erik.rissanen 2006-02-04 00:09:05 EST
I have reinstalled my system with an ext3 filesystem, so I cannot test this anymore.
Comment 8 Dave Jones 2006-09-16 22:42:21 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 9 Dave Jones 2006-10-16 17:42:49 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Dave Jones 2006-11-24 17:13:48 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.